Summary: The iwidgets extension
Name: iwidgets
Version: 4.0.1
Release: fc2_1
Epoch: 0
License: BSD-like
Group: Development/Libraries
Source: http://download.sourceforge.net/incrtcl/%{name}%{version}.tar.gz
Source1: http://download.sourceforge.net/incrtcl/itcl3.2.1_src.tgz
#Patch: itcl.patch
#Patch1: itk.patch
URL: http://incrtcl.sourceforge.net
BuildArchitectures: noarch
Requires: tcl >= 0:8.3.1
BuildRequires: tcl >= 0:8.3.1
BuildRoot: %_tmppath/%name-%version-%release-root-%(%__id_u -n)

%description
[incr Tcl] provides the extra language support needed to build large Tcl/Tk applications. It introduces the notion of objects, which act as building blocks for an application. Each object is a bag of data with a set of procedures or "methods" that are used to manipulate it. Objects are organized into "classes" with identical characteristics, and classes can inherit functionality from one another. This object-oriented paradigm adds another level of organization on top of the basic variable/procedure elements, and the resulting code is easier to understand and maintain.

%prep
%setup -q -n %{name}%{version}

%install
rm -rf $RPM_BUILD_ROOT files
./configure --prefix=/usr --with-itcl=../itcl3.2.1
make test
#cd itk
#patch Makefile < $RPM_SOURCE_DIR/itk.patch
#cd ..
#cd itcl
#patch Makefile < $RPM_SOURCE_DIR/itcl.patch
#cd ..
make install INSTALL_ROOT=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT/usr/lib/iwidgets
ln -s /usr/lib/iwidgets4.0.1 $RPM_BUILD_ROOT/usr/lib/iwidgets

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc doc/ README CHANGES
/usr/lib/*
/usr/man/*/*

%changelog
* Sun Sep 05 2005 Ralf Spenneberg <ralf@spenneberg.net>
- Fedora Core 2 version

